> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondo.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Statuses

> This endpoint retrieves information about individual asset trading statuses, including the reason and expected duration. Asset trading can be affected for various reasons such as earnings announcements, dividend events, and global market closures.

**Important**:
  * When the entire market is closed or paused as indicated by `/v1/status/market`, all asset trading is automatically suspended regardless of individual asset status. (See [Get Current Market Status](https://docs.ondo.finance/api-reference/status/get-current-market-status))
  * Certain assets do not trade during the overnight and pre/postmarket session, as indicated by `/v1/assets/{symbol}/market`. (See [Get Market Data for an Asset](https://docs.ondo.finance/api-reference/assets/get-market-data-for-an-asset) / [Get Market Data for All Supported Assets](https://docs.ondo.finance/api-reference/assets/get-market-data-for-all-supported-assets)) 

 This endpoint should be used in conjunction with the [Market Status](https://docs.ondo.finance/api-reference/status/get-current-market-status) and [Market Data](https://docs.ondo.finance/api-reference/assets/get-market-data-for-an-asset) endpoints to get a complete picture of trading availability.

**Market Sessions and Holidays**

Asset trading follows the same schedule as outlined in the `/v1/status/market` endpoint. During market closures, holidays, or unscheduled downtime, all assets are unavailable for trading.

**Earnings and Dividends**

Individual assets may be temporarily suspended or limited during earnings announcements and dividend events according to the following schedule:
- **Dividends**: Trading is paused from 7:50 PM to 8:10 PM ET on the day before the dividend ex-date.
- **Earnings**: Trading is limited for certain assets around earnings announcements, with timing dependent on the announcement schedule. "Limited" here means that the quantity which can be minted in one request is reduced. For exact limits, see [Get Trading Limits](https://docs.ondo.finance/api-reference/limits/get-trading-limits). For pre-market announcements, trading is suspended from 5:00 AM to 9:31 AM ET. For post-market announcements, trading is suspended from 4:00 PM to 7:30 PM ET. Trading may resume earlier at the platform's discretion.
- **Other corporate actions**: Trading is paused for an indeterminate amount of time as needed for Ondo to process the corporate action.

**Asset Status Reason Codes**

`reason.code` is one of:
- `ASSET_PAUSED`: Asset is paused for trading.
- `ASSET_LIMITED`: Asset can be traded, but order size is more limited than usual.

**Asset Status Reason Messages**

`reason.message` is one of:
- `cash_dividend`
- `stock_dividend`
- `stock_split`
- `merger`
- `acquisition`
- `spinoff`
- `earnings`
- `maintenance`

For caching details on this endpoint, please see: [Endpoint Caching](https://docs.ondo.finance/api-reference/endpoint-caching).




## OpenAPI

````yaml /gm-be-api-spec.json get /v1/status/assets
openapi: 3.0.4
info:
  title: GM Backend API
  description: An API spec for the Ondo GM Backend API.
  version: 1.0.0
servers:
  - url: https://api.gm.ondo.finance
    description: GM Backend API
security: []
tags:
  - name: Attestations
    description: Get Mint and Redeem Attestations
  - name: Assets
    description: Get Asset Price Information
  - name: Tickers
    description: Get Ticker Information
  - name: Chains
    description: Get On Chain Data
  - name: Limits
    description: Get Trading Limits
  - name: Status
    description: Get Market and Trading Statuses
paths:
  /v1/status/assets:
    get:
      tags:
        - Status
      summary: Get Asset Statuses
      description: >
        This endpoint retrieves information about individual asset trading
        statuses, including the reason and expected duration. Asset trading can
        be affected for various reasons such as earnings announcements, dividend
        events, and global market closures.


        **Important**:
          * When the entire market is closed or paused as indicated by `/v1/status/market`, all asset trading is automatically suspended regardless of individual asset status. (See [Get Current Market Status](https://docs.ondo.finance/api-reference/status/get-current-market-status))
          * Certain assets do not trade during the overnight and pre/postmarket session, as indicated by `/v1/assets/{symbol}/market`. (See [Get Market Data for an Asset](https://docs.ondo.finance/api-reference/assets/get-market-data-for-an-asset) / [Get Market Data for All Supported Assets](https://docs.ondo.finance/api-reference/assets/get-market-data-for-all-supported-assets)) 

         This endpoint should be used in conjunction with the [Market Status](https://docs.ondo.finance/api-reference/status/get-current-market-status) and [Market Data](https://docs.ondo.finance/api-reference/assets/get-market-data-for-an-asset) endpoints to get a complete picture of trading availability.

        **Market Sessions and Holidays**


        Asset trading follows the same schedule as outlined in the
        `/v1/status/market` endpoint. During market closures, holidays, or
        unscheduled downtime, all assets are unavailable for trading.


        **Earnings and Dividends**


        Individual assets may be temporarily suspended or limited during
        earnings announcements and dividend events according to the following
        schedule:

        - **Dividends**: Trading is paused from 7:50 PM to 8:10 PM ET on the day
        before the dividend ex-date.

        - **Earnings**: Trading is limited for certain assets around earnings
        announcements, with timing dependent on the announcement schedule.
        "Limited" here means that the quantity which can be minted in one
        request is reduced. For exact limits, see [Get Trading
        Limits](https://docs.ondo.finance/api-reference/limits/get-trading-limits).
        For pre-market announcements, trading is suspended from 5:00 AM to 9:31
        AM ET. For post-market announcements, trading is suspended from 4:00 PM
        to 7:30 PM ET. Trading may resume earlier at the platform's discretion.

        - **Other corporate actions**: Trading is paused for an indeterminate
        amount of time as needed for Ondo to process the corporate action.


        **Asset Status Reason Codes**


        `reason.code` is one of:

        - `ASSET_PAUSED`: Asset is paused for trading.

        - `ASSET_LIMITED`: Asset can be traded, but order size is more limited
        than usual.


        **Asset Status Reason Messages**


        `reason.message` is one of:

        - `cash_dividend`

        - `stock_dividend`

        - `stock_split`

        - `merger`

        - `acquisition`

        - `spinoff`

        - `earnings`

        - `maintenance`


        For caching details on this endpoint, please see: [Endpoint
        Caching](https://docs.ondo.finance/api-reference/endpoint-caching).
      operationId: getAssetStatus
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAssetStatusesResponse'
              example:
                - symbol: XOMon
                  status: upcoming
                  type: scheduled
                  reason:
                    code: ASSET_LIMITED
                    message: earnings
                    documentation: >-
                      https://docs.ondo.finance/api-reference/error-codes#asset_limited
                  start: '2026-01-30T10:00:00Z'
                  end: '2026-01-31T00:30:00Z'
                  eventId: 30fd9cb4-1d64-474f-822d-7f281b8f02ee
                  updateSharesMultiplier: false
                - symbol: TIPon
                  status: upcoming
                  type: scheduled
                  reason:
                    code: ASSET_PAUSED
                    message: cash_dividend
                    documentation: >-
                      https://docs.ondo.finance/api-reference/error-codes#asset_paused
                  start: '2026-02-02T00:50:00Z'
                  end: '2026-02-03T01:00:00Z'
                  eventId: d7d42fbe-9161-45af-806c-c0717453099d
                  updateSharesMultiplier: true
                - ...
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: missing API key
                    code: MISSING_API_KEY
        '500':
          description: >-
            An internal server error occurred. Please see the returned message
            and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: >-
                      An internal server error occurred. Please see the returned
                      message and documentation for details.
                    code: INTERNAL_ERROR
      security:
        - apiKey: []
components:
  schemas:
    GetAssetStatusesResponse:
      type: array
      items:
        $ref: '#/components/schemas/AssetPause'
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        documentation:
          type: string
          description: A URL to the relevant documentation for this error.
        code:
          type: string
          description: >-
            A reason code identifying the specific type of error. See the Error
            Codes reference for a full list of possible values.
      required:
        - code
        - message
    AssetPause:
      type: object
      properties:
        symbol:
          type: string
          example: AAPLon
          description: The GM token symbol.
        status:
          type: string
          description: >-
            The current status of the pause. ('active' indicates the pause is
            live, 'upcoming' indicates it is scheduled for the future)
          enum:
            - active
            - upcoming
          example: active
        type:
          type: string
          description: >-
            The type of pause. ('scheduled' indicates a planned pause for events
            such as dividends, 'unscheduled' indicates an unplanned pause such
            as emergency maintenance)
          enum:
            - scheduled
            - unscheduled
          example: unscheduled
        reason:
          allOf:
            - $ref: '#/components/schemas/AssetStatusReason'
            - example:
                code: ASSET_PAUSED
                message: Maintenance
                documentation: https://docs.ondo.finance/
        start:
          type: string
          description: >-
            The start time of the pause. ('unscheduled' pauses may not provide a
            start time.)
          example: '2025-08-05T10:30:00Z'
        end:
          type: string
          description: >-
            The end time of the pause. ('unscheduled' pauses may not provide an
            end time.)
          example: '2025-08-05T10:45:00Z'
        eventId:
          type: string
          description: >-
            The unique id associated with the pause. (Might be empty if the
            sharesMultiplier will not be updated for the asset during the
            pause.)
          example: 94fe2f8f-e69c-45a5-9e48-dd8226dd8e67
        updateSharesMultiplier:
          type: boolean
          description: >-
            A boolean flag that indicates whether the sharesMultiplier value
            will be updated for the asset during this pause or not.
          enum:
            - true
            - false
          example: true
      required:
        - symbol
        - status
        - type
    AssetStatusReason:
      description: Reason for an asset trading restriction.
      allOf:
        - $ref: '#/components/schemas/ReasonBase'
        - type: object
          properties:
            code:
              $ref: '#/components/schemas/AssetStatusReasonCode'
          required:
            - code
    ReasonBase:
      type: object
      properties:
        message:
          type: string
          description: The human-readable message describing the reason
          example: Weekend/Holiday
        documentation:
          type: string
          description: Additional documentation or reference
          example: https://docs.ondo.finance/
      required:
        - message
        - documentation
    AssetStatusReasonCode:
      type: string
      enum:
        - ASSET_PAUSED
        - ASSET_LIMITED
      description: The code indicating the reason for the asset status.
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````